{% extends "templates/form.njk" %}
{% from "packages/components/input/macro.njk" import input %}
{% from "packages/components/fieldset/macro.njk" import fieldset %}
{% from "macros/hrt-form-heading-with-para.njk" import hrtFormHeadingWithParagraph %}

{% block formContent %}

  {% set legendHtml = hrtFormHeadingWithParagraph({heading: heading, paragraph: paragraphOne}) %}

  {% call fieldset({
      legend: {
        isPageHeading: false,
        html: legendHtml
      }
    }) %}
  
    {{ input({
      label: {
        text: firstNameLabel
      },
      classes: "nhsuk-input--width-20",
      id: "first-name",
      name: "firstName",
      value: claim.firstName,
      errorMessage: errors | getErrorForField('firstName'),
      autocomplete: "off"
    }) }}

    {{ input({
      label: {
        text: lastNameLabel
      },
      classes: "nhsuk-input--width-20",
      id: "last-name",
      name: "lastName",
      value: claim.lastName,
      errorMessage: errors | getErrorForField('lastName'),
      autocomplete: "off"
    }) }}

  {% endcall %}

{% endblock %}
